<?php

$main_template_part_map = array(
    '1' => 'one-column',
    '2' => 'two-column',
);

$post_columns_on_front = get_option( 'post_columns_on_front', '1' );
$main_template_part = $main_template_part_map[ $post_columns_on_front ];

if ( $main_template_part === 'two-column' ) {

    wp_enqueue_style(
        'nineteenjr-simple-grid',
        get_stylesheet_directory_uri() . '/simple-grid.no-conflict.css',
        false,
        '1.0',
        'all'
    );

    wp_enqueue_script( 'masonry' );
}

get_header();
get_template_part( "template-parts/index/$main_template_part" );
get_footer();
