<?php

$content_parameter_map = array(
    'content' => array( 'template-parts/content/content' ),
    'excerpt' => array( 'template-parts/content/content', 'excerpt' ),
);

$posts_on_front_content = get_option( 'posts_on_front_content', 'content' );
$content_parameters = $content_parameter_map[ $posts_on_front_content ];

?><section id="primary" class="content-area">
    <main id="main" class="site-main">

    <?php
    if ( have_posts() ) {
        ?><div class="container"><div class="row grid js-masonry"><?php
        // Load posts loop.
        while ( have_posts() ) {
            the_post();
            ?><div class="col-6 grid-item"><?php
            call_user_func_array( 'get_template_part', $content_parameters );
            ?></div><!-- /.col-6.grid-item --><?php
        }

        ?></div></div><!-- /.grid.row /.container --><?php
        
        // Previous/next page navigation.
        twentynineteen_the_posts_navigation();

    } else {

        // If no content, include the "No posts found" template.
        get_template_part( 'template-parts/content/content', 'none' );

    }
    ?>

    </main><!-- .site-main -->
</section><!-- .content-area -->